Subject: Re: concerning draft-josefsson-dns-url-08.txt

From: [email-masked]
Date: Mon, 30 Jun 2003 21:27:10 -0700

AS I understand it, originally the DNS system interpreted w.x in domain
y.z first as w.x.y.z. then w.x.z. then w.x.. If you wanted to be
absolutely sure you got w.y you had to say w.y..

In interesting aside - many countries (e.g. UK) seem to be using a
domain naming system that ends in .cc (.uk) but kind of echoes what we
have locally in the US (.com, .org, .edu etc), but (maybe) don't go the
next step and allow people to just say something like ibm.com and mean
ibm.com.uk.. I wonder why not - it would make things a lot more relevant
to the local people, and if they really wanted the international .com
they could add the trailing dot. Or does it already work that way?

 Zefram wrote:
> 
> Simon Josefsson wrote:
> >one added some text to clarify that it was actually intended to allow
> >for zero length dnsname's (to denote the DNS root).
> 
> This is technically correct, according to RFC 1034, but will be confusing.
> "dns:" intuitively looks incomplete.  It's more conventional to name
> the root domain in absolute form, as ".".  An interesting comparison:
> the "dig" DNS lookup tool from the BIND folks doesn't accept "" as a
> domain name; it insists on the root domain being specified as ".".
> 
> So I argue that requiring the root domain to be represented as "." in the
> context of the URI, forbidding a zero-length <dnsname>, will make for a
> clearer protocol, more likely to be implemented correctly.  This isn't
> an absolute matter, though; both versions of the protocol are workable.
> 
> -zefram

---

From: Simon Higgs <[email-masked]>
Date: Fri, 04 Jul 2003 14:17:04 -0700

>Sent: Friday, July 04, 2003 9:09 AM
>Subject: "here's the real issue: there are many companies and political 
>movements who...think"...
>
> > "here's the real issue: there are many companies and political 
> movements who...think"
> >
> > http://www.ietf.org/mail-archive/ietf/Current/msg21491.html
> > From: Paul Vixie <[email-masked]>
> > Date: Fri, 04 Jul 2003 03:56:19 +0000
> > "here's the real issue: there are many companies and political 
> movements who
> > think that iana's namespace is not the only namespace.  new.net, for
> > example.  iab takes a very strong "single unique namespace" view, and as
> > such, the i* organizations (iesg in this case) will probably (and ought to,
> > in my view) take a very dim view of any attempt to standardize a uri that
> > permits a "multiple namespace" fiction to be operable."
> > ====

Paul, this is complete and utter nonsense.

The *REAL* issue is access the IANA/DoC/ICANN root. If access that single 
"Precious" root is open (to allow competition per the original requirements 
which drove Draft Postel / IAHC / gTLD-MoU / White Paper / New Corp / DoC / 
ICANN), then every single alt.root becomes irrelevant.

The alt.roots are a solution to a problem that the i* organizations refuse 
to solve. Most of the inhabitants of the alt.roots are there because i* has 
put them there by refusing their requests for inclusion in the single 
"Precious" root.

As a result, we've discovered that it is possible for there to be more than 
one root and the genie is out of the bottle. The alt.roots could be "cat 
herded" back into a single root if i* wanted this to happen. The drafts 
have been published and rejected.

The conclusion we have to draw from this is that i*'s actions encourage the 
creation of multiple roots and that it has made it very clear that i* ants 
total control over it's own root at the expense of the Internet communities 
wishes for name space expansion.

Best Regards,

Simon Higgs

--

The Blog: http://www.simonhiggs.com/

###